// package_mine/pages/exchange/index.js
import {wgs84togcj02} from '../../../utils/util.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        current: "/my/exchange",
        params: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let params = this.data.params
        params.openid = wx.getStorageSync('openid')
        this.setData({params})
    },
    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },
    // 导航
    navigateTo(e){
        const item = e.currentTarget.dataset.item
        const {longitude,latitude} = item
        let coordinate=wgs84togcj02([longitude,latitude])
        wx.openLocation({
            latitude: parseFloat(coordinate[1]), // 纬度，范围为-90~90，负数表示南纬
            longitude: parseFloat(coordinate[0]), // 经度，范围为-180~180，负数表示西经
            scale: 17, // 缩放比例
        })
    }

})